APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var teams = await graphClient.Teams
.Request()
.Filter("displayName eq 'A Contoso Team'")
.Select("id,description")
.GetAsync();
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
TeamCollectionPage teams = graphClient.teams()
.buildRequest()
.filter("displayName eq 'A Contoso Team'")
.select("id,description")
.get();
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestParameters := &graphconfig.TeamsRequestBuilderGetQueryParameters{
Filter: "displayName eq 'A Contoso Team'",
Select: [] string {"id","description"},
}
configuration := &graphconfig.TeamsRequestBuilderGetRequestConfiguration{
QueryParameters: requestParameters,
}
result, err := graphClient.Teams().GetWithRequestConfigurationAndResponseHandler(configuration, nil)
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
<?php
// THIS SNIPPET IS A PREVIEW FOR THE KIOTA BASED SDK. NON-PRODUCTION USE ONLY
$graphServiceClient = new GraphServiceClient($requestAdapter);
$requestConfiguration = new TeamsRequestBuilderGetRequestConfiguration();
$queryParameters = new TeamsRequestBuilderGetQueryParameters();
$queryParameters->filter = "displayName eq 'A Contoso Team'";
$queryParameters->select = ["id","description"];
$requestConfiguration->queryParameters = $queryParameters;
$requestResult = $graphServiceClient->teams()->get($requestConfiguration);
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"value": [
{
"id": "172b0cce-e65d-44ce-9a49-91d9f2e8493a",
"displayName": "Contoso Team",
"description": "This is a Contoso team, used to showcase the range of properties supported by this API"
},
{
"id": "890972b0cce-e65d-44ce-9a49-568hhsd7n",
"displayName": "Contoso General Team",
"description": "This is a general Contoso team"
},
{
"id": "98678abcce0-e65d-44ce-9a49-9980bj8kl0e",
"displayName": "Contoso API Team",
"description": "This is Contoso API team"
}
]
}
Example 2: Use $filter and $top to get two teams with a display name that starts with 'A'
GET https://graph.microsoft.com/beta/teams?$filter=startswith(displayName, 'A')&$top=2
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var teams = await graphClient.Teams
.Request()
.Filter("displayName eq 'A Contoso Team'")
.Select("id,description")
.GetAsync();
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
TeamCollectionPage teams = graphClient.teams()
.buildRequest()
.filter("displayName eq 'A Contoso Team'")
.select("id,description")
.get();
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestParameters := &graphconfig.TeamsRequestBuilderGetQueryParameters{
Filter: "displayName eq 'A Contoso Team'",
Select: [] string {"id","description"},
}
configuration := &graphconfig.TeamsRequestBuilderGetRequestConfiguration{
QueryParameters: requestParameters,
}
result, err := graphClient.Teams().GetWithRequestConfigurationAndResponseHandler(configuration, nil)
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
<?php
// THIS SNIPPET IS A PREVIEW FOR THE KIOTA BASED SDK. NON-PRODUCTION USE ONLY
$graphServiceClient = new GraphServiceClient($requestAdapter);
$requestConfiguration = new TeamsRequestBuilderGetRequestConfiguration();
$queryParameters = new TeamsRequestBuilderGetQueryParameters();
$queryParameters->filter = "displayName eq 'A Contoso Team'";
$queryParameters->select = ["id","description"];
$requestConfiguration->queryParameters = $queryParameters;
$requestResult = $graphServiceClient->teams()->get($requestConfiguration);
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"value": [
{
"id": "172b0cce-e65d-44ce-9a49-91d9f2e8493a",
"displayName": "A Contoso Team",
"description": "This is a Contoso team, used to showcase the range of properties supported by this API"
},
{
"id": "890972b0cce-e65d-44ce-9a49-568hhsd7n",
"displayName": "A Contoso Notification Team",
"description": "This is a notification Contoso team"
}
]
}
Example 3: Use $filter and $select to get id and description for team with displayName equals "A Contoso Team"
GET https://graph.microsoft.com/beta/teams?$filter=displayName eq 'A Contoso Team'&$select=id,description
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var teams = await graphClient.Teams
.Request()
.Filter("displayName eq 'A Contoso Team'")
.Select("id,description")
.GetAsync();
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
TeamCollectionPage teams = graphClient.teams()
.buildRequest()
.filter("displayName eq 'A Contoso Team'")
.select("id,description")
.get();
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestParameters := &graphconfig.TeamsRequestBuilderGetQueryParameters{
Filter: "displayName eq 'A Contoso Team'",
Select: [] string {"id","description"},
}
configuration := &graphconfig.TeamsRequestBuilderGetRequestConfiguration{
QueryParameters: requestParameters,
}
result, err := graphClient.Teams().GetWithRequestConfigurationAndResponseHandler(configuration, nil)
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
<?php
// THIS SNIPPET IS A PREVIEW FOR THE KIOTA BASED SDK. NON-PRODUCTION USE ONLY
$graphServiceClient = new GraphServiceClient($requestAdapter);
$requestConfiguration = new TeamsRequestBuilderGetRequestConfiguration();
$queryParameters = new TeamsRequestBuilderGetQueryParameters();
$queryParameters->filter = "displayName eq 'A Contoso Team'";
$queryParameters->select = ["id","description"];
$requestConfiguration->queryParameters = $queryParameters;
$requestResult = $graphServiceClient->teams()->get($requestConfiguration);
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"value": [
{
"id": "172b0cce-e65d-44ce-9a49-91d9f2e8493a",
"description": "This is a Contoso team, used to showcase the range of properties supported by this API"
}
]
}